# Uses of Class
org.eclipse.birt.report.model.api.command.LibraryException

Packages that use LibraryException
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of LibraryException in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that throw LibraryException
Modifier and Type
Method
Description
`static EmbeddedImage`
StructureFactory.`newEmbeddedImageFrom(EmbeddedImageHandle baseImage, String name, ModuleHandle targetModule)`
Creates an embedded image from another library embedded image.
`static EmbeddedImage`
StructureFactory.`newEmbeddedImageFrom(EmbeddedImageHandle baseImage, ModuleHandle targetModule)`
Creates an embedded image from another library embedded image.